Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.diagnostics.watch
Class JMXWatchNotification

    java.lang.Object
      java.util.EventObject
          javax.management.Notification
              weblogic.diagnostics.watch.JMXWatchNotification

All Implemented Interfaces:
  Serializable

public final class JMXWatchNotification
extends Notification
implements Serializable

An extended JMX notification object which includes additonal information about the notification. This information is contained in the referenced WatchNotification object returned from method getExtendedInfo.

See Also:
  Serialized Form

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static String` | `GLOBAL_JMX_NOTIFICATION_PRODUCER_NAME` The "short" name of the MBean which distributes the JMX notifications.

Fields inherited from class javax.management.Notification
`source`

Method Summary
`WatchNotification` | `getExtendedInfo()` Provides additional information about this notification.

Methods inherited from class javax.management.Notification
`getMessage, getSequenceNumber, getTimeStamp, getType, getUserData, setSequenceNumber, setSource, setTimeStamp, setUserData, toString`

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### GLOBAL_JMX_NOTIFICATION_PRODUCER_NAME

    public static final String GLOBAL_JMX_NOTIFICATION_PRODUCER_NAME

  The "short" name of the MBean which distributes the JMX notifications. Users can express interest in notifications posted by this MBean in order to receive JMX notifications.

  See Also:
    Constant Field Values

Method Detail

### getExtendedInfo

    public WatchNotification getExtendedInfo()

  Provides additional information about this notification.

  Returns:
    a WatchNotification object containing additional information

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD